/*
 * Copyright (C) 2015 PHYTEC Messtechnik GmbH,
 * Author:   Alexander Fratzer <a.fratzer@phytec.de>
 *           Alexander Aring   <a.aring@phytec.de>
 * Released under the MIT license
 */

#include <sys/ioctl.h>
#include <errno.h>

#include "device_utils.h"

int xioctl(int fd, int req, void *arg)
{
	int ret;

	do {
		ret = ioctl(fd, req, arg);
	}
	while (-1 == ret && EINTR == errno);

	return ret;
}
