/*
 * Copyright (C) 2015 PHYTEC Messtechnik GmbH,
 * Author:   Alexander Fratzer <a.fratzer@phytec.de>
 *           Alexander Aring   <a.aring@phytec.de>
 * Released under the MIT license
 */

#ifndef _DEVICE_UTILS__H_
#define _DEVICE_UITLS__H_

#include <string.h>
#include "save_raw_image.h"

#define CLEAR(x) memset(&x, 0, sizeof(x))
#define CLEAR_P(p) memset(p, 0, sizeof(*x))

/**
 * @brief Optimized ioctl for v4l
 *
 * @param fd - filedescriptor of (open) video-device
 * @param req - request id
 * @param arg - arguement for request
 *
 * @return 
 */
int xioctl(int fd, int req, void *arg);

#endif
