/*
 * Copyright (C) 2015 PHYTEC Messtechnik GmbH,
 * Author:   Alexander Fratzer <a.fratzer@phytec.de>
 *           Alexander Aring   <a.aring@phytec.de>
 * Released under the MIT license
 */

#ifndef __IMAGE_CONVERTER_H__
#define __IMAGE_CONVERTER_H__

#include <stdlib.h>
#include <linux/types.h>

/*-----------------------------------------------------------------------------
 *  converts rgb565 to rgb888, caller need to call free on rgb888 pointer.
 *  filesize will be the new size of rgb888 image.
 *-----------------------------------------------------------------------------*/
int rgb565_to_rgb888(__u16 * rgb565, size_t rgb565_size, __u32 * rgb888);

#endif				/* __IMAGE_CONVERTER_H__ */
